org.apache.poi.xddf.usermodel.chart

## Enum ChartTypes

- java.lang.Object
- - java.lang.Enum<ChartTypes>
  - - org.apache.poi.xddf.usermodel.chart.ChartTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ChartTypes>

      public enum ChartTypes
      extends java.lang.Enum<ChartTypes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AREA`
    `AREA3D`
    `BAR`
    `BAR3D`
    `DOUGHNUT`
    `LINE`
    `LINE3D`
    `PIE`
    `PIE3D`
    `RADAR`
    `SCATTER`
    `SURFACE`
    `SURFACE3D`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChartTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ChartTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AREA

          public static final ChartTypes AREA

    - #### AREA3D

          public static final ChartTypes AREA3D

    - #### BAR

          public static final ChartTypes BAR

    - #### BAR3D

          public static final ChartTypes BAR3D

    - #### DOUGHNUT

          public static final ChartTypes DOUGHNUT

    - #### LINE

          public static final ChartTypes LINE

    - #### LINE3D

          public static final ChartTypes LINE3D

    - #### PIE

          public static final ChartTypes PIE

    - #### PIE3D

          public static final ChartTypes PIE3D

    - #### RADAR

          public static final ChartTypes RADAR

    - #### SCATTER

          public static final ChartTypes SCATTER

    - #### SURFACE

          public static final ChartTypes SURFACE

    - #### SURFACE3D

          public static final ChartTypes SURFACE3D

  - ### Method Detail

    - #### values

          public static ChartTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChartTypes c : ChartTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChartTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.